Add Supplier Contacts

Add contacts to an existing Supplier

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Suppliers' Contacts can be added with a POST operation through the Supplier Contacts endpoint, using supplier id: /counterparties/suppliers/{id}/contacts

For a full definition of the Supplier Contact object and its attributes, please refer to this page. Mandatory attributes will also be indicated.

Example Request

[
    {
        "external_reference_id": "TESTdev3",
        "name": "contact dev 3",
        "email": "[email protected]",
        "phone": "333-333-4444",
        "primary": true,
        "payment_notification": false
    },
    {
        "external_reference_id": "testDev4",
        "name": "contact dev 4",
        "email": "[email protected]",
        "phone": "333-333-4444",
        "primary": false,
        "payment_notification": true
    }
]

Example Response

[
    {
        "payment_notification": false,
        "id": null,
        "external_reference_id": null,
        "name": "Dev Contact",
        "email": "[email protected]",
        "phone": "000111110",
        "primary": false
    },
    {
        "payment_notification": true,
        "id": null,
        "external_reference_id": "",
        "name": "Dev contact 2",
        "email": "[email protected]",
        "phone": "",
        "primary": false
    },
    {
        "payment_notification": false,
        "id": "0b707add-6f3b-4c18-a775-460aca3e8c31",
        "external_reference_id": "TESTdev3",
        "name": "contact dev 3",
        "email": "[email protected]",
        "phone": "333-333-4444",
        "primary": true
    },
    {
        "payment_notification": true,
        "id": "f4de0aa6-0edd-4dca-85cb-c4dfcf6df091",
        "external_reference_id": "testDev4",
        "name": "contact dev 4",
        "email": "[email protected]",
        "phone": "333-333-4444",
        "primary": false
    }
]
Path Params
string
required

uuid of supplier

Body Params
string
length ≤ 100

max length = 100
This value must be unique.

string
length ≤ 40

max length = 40

string
length ≤ 50

max length = 50

string
length ≤ 17

max length = 17

boolean
required

Indicates whether the contact is the primary contact.

boolean
Defaults to false

Indicates whether notifications of payments need to be sent using the email value.

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response
200

Success

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!